slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPRIISetConstCorrectionTol

Sets a flag to keep the tolerance used in the linear solver constant.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIISetConstCorrectionTol(NEP nep,PetscBool cct)

Logically Collective

### Input Parameters

| nep | - nonlinear eigenvalue solver
| cct | - a boolean value

### Options Database Keys

| -nep_rii_const_correction_tol <bool> | - set the boolean flag

### Notes

By default, an exponentially decreasing tolerance is set in the KSP used within the nonlinear iteration, so that each Newton iteration requests better accuracy than the previous one. The constant correction tolerance flag stops this behaviour.

### See Also

NEPRIIGetConstCorrectionTol()

### Level

intermediate

### Location

src/nep/impls/rii/rii.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages